Bug 181749 - system-config-boot should be able to configure /etc/sysconfig/kernel
Summary: system-config-boot should be able to configure /etc/sysconfig/kernel
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-boot   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-16 06:33 UTC by Alexandre Oliva
Modified: 2014-05-08 16:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-08 16:42:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexandre Oliva 2006-02-16 06:33:53 UTC
I don't think there's any GUI way to switch between say Xen and non-Xen kernels
by default, nor is there any GUI way to tell the installer whether to change the
default kernel on upgrades.  I believe system-config-boot is the ideal tool for
such settings, in a separate Advanced screen.

Comment 1 John Poelstra 2008-07-09 05:12:26 UTC
harald isn't most of this implemented in one way or another now?

Comment 2 Harald Hoyer 2008-07-09 06:26:06 UTC
no, it isn't

Comment 3 Dmytro Taranovsky 2009-05-05 14:40:01 UTC
Even if we do not add additional GUI to system-config-boot, it should be changed to set UPDATEDEFAULT=yes (in /etc/sysconfig/kernel) when changing to a Fedora kernel from a non-Fedora one, and
UPDATEDEFAULT=no when changing to a non-Fedora kernel (such as Windows).  See Bug 498689.


Note You need to log in before you can comment on or make changes to this bug.